<?php
#----------------------------------------------------------#
# カードリスト
#----------------------------------------------------------#
function card_listR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#カードフォーカス
global$CF;$html_cf=ch_focus($_COOKIE[id]);
#--------------------------------------#
# カード検索
#--------------------------------------#
$D[cardnum]=0;
$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
while ($CD=mysql_fetch_assoc($sql)){
	$CD=ch_growth($CD);
	$D[cardnum]++;
	#状態表示
	if($CD[38]&&$CD[39]){
		$ch_Bst='スタメン';
		$ch_Pst='ローテ';
		$ch_del='&nbsp;';
	}elseif($CD[38]){
		$ch_Bst='控え';
		$ch_Pst='継投';
		$ch_del='&nbsp;';
	}else{
		$ch_Bst='ベンチ外';
		$ch_Pst='ベンチ外';
		$ch_del="<input type=submit value=\"破棄\" onclick=\"ch.value='$CD[id]';r.value='card_del';return del_check();\">";#del_checkはcfに付属
	}
	#表示
	if($CD[1] == 'B'){
		$CD_RB=read_data('card_res_b',$CD[id]);
		$ch_OBP=AVE(($CD_RB[2]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]+$CD_RB[14]),($CD_RB[3]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]));
		$ch_SLG=AVE($CD_RB[2],$CD_RB[8]);
		$ch_OPS=AVE2(($ch_OBP+$ch_SLG));
		$html_list="<tr style=\"text-align:center;\"><td><input type=submit value=\"詳細\" onclick=\"ch.value='$CD[id]';\"></td><td><input type=submit value=\"合成\" onclick=\"BASE.value='$CD[id]';r.value='card_comb';\"></td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</a></td><td>$CD[7]</td><td>$CD[45]</td><td>$ch_Bst</td><td>$CD[2]</td><td>$CD[3]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_st($CD[11],0)."</td><td>".ch_st($CD[12],0)."</td><td>".ch_st($CD[13],0)."</td><td>".ch_st($CD[14],0)."</td><td>".ch_st($CD[15],0)."</td><td>".ch_st($CD[16],0)."</td><td>".ch_st($CD[17],0)."</td><td>".AVE($CD_RB[2],$CD_RB[3])."</td><td>$ch_OPS</td></td><td>$ch_del</td></tr>\n";
		if($Q[set]!='P'){
			if($CD[38]&&$CD[39]){
				$html_listB1.=$html_list;
			}elseif($CD[38]){
				$html_listB2.=$html_list;
			}else{
				$html_listB3.=$html_list;
			}
		}
	}else{
		$CD_RP=read_data('card_res_p',$CD[id]);
		$html_list="<tr style=\"text-align:center;\"><td><input type=submit value=\"詳細\" onclick=\"ch.value='$CD[id]';\"></td><td><input type=submit value=\"合成\" onclick=\"BASE.value='$CD[id]';r.value='card_comb';\"></td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td onclick=\"javascript:card_focus('".$CF[$CD[id]]."');\">$CD[0]</td><td>$CD[7]</td><td>$CD[45]</td><td>$ch_Pst</td><td>$CD[2]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_psp_max($CD[21],$CD[4])."</td><td>".ch_st($CD[22],0)."</td><td>".ch_st($CD[23],0)."</td><td>&nbsp;</td><td>".ch_st($CD[24],0)."</td><td>".ch_st($CD[25],0)."</td><td>".ch_st($CD[26],0)."</td><td>".ch_st($CD[27],0)."</td><td>".ch_st($CD[28],0)."</td><td>".ERA($CD_RP[11],$CD_RP[9])."</td><td>".WHIP($CD_RP[11],($CD_RP[3]+$CD_RP[15]+$CD_RP[16]))."</td><td>$ch_del</td></tr>\n";
		if($Q[set]!='B'){
			if($CD[38]&&$CD[39]){
				$html_listP1.=$html_list;
			}elseif($CD[38]){
				$html_listP2.=$html_list;
			}else{
				$html_listP3.=$html_list;
			}
		}
	}
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=$html_cf;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>カードリスト</b>($D[cardnum]/$SET[pl_cardnum])&nbsp;<a href="$SET[path_index]?r=card_list&set=P">投手</a>/<a href="$SET[path_index]?r=card_list&set=B">野手</a>/<a href="$SET[path_index]?r=card_list">全</a><br>
EOF;
if($Q[set]!='B'){
$disp.=<<<EOF
投手<br>
<table><form method=POST action="$SET[path_index]">
<tr><th>&nbsp;</td><th>&nbsp;</td><th colspan=2>名前</th><th>Lv</th><th>P</th><th>出場</th><th>投</th><th>調</th><th>疲</th><th>速</th><th>制</th><th>体</th><th>&nbsp;</th><th><abbr title="スライダー系">←</abbr></th><th><abbr title="カーブ系">／</abbr></th><th><abbr title="フォーク系">↓</abbr></th><th><abbr title="シンカー系">＼</abbr></th><th><abbr title="シュート系">→</abbr></th><th>ERA</th><th>WHIP</th><th>削除</th></tr>
$html_listP1$html_listP2$html_listP3<input type=hidden name=r value="card_detail">
<input type=hidden name=ch>
<input type=hidden name=BASE>
<input type=hidden name=set value="$Q[set]">
</form></table>
EOF;
}
if($Q[set]!='P'){
$disp.=<<<EOF
野手<br>
<table><form method=POST action="$SET[path_index]">
<tr><th>&nbsp;</td><th>&nbsp;</td><th colspan=2>名前</th><th>Lv</th><th>P</th><th>出場</th><th>投</th><th>打</th><th>調</th><th>疲</th><th>巧</th><th>力</th><th>走</th><th>肩</th><th>守</th><th>反</th><th>E避</th><th>Ave</th><th>OPS</th><th>削除</th></tr>
$html_listB1$html_listB2$html_listB3<input type=hidden name=r value="card_detail">
<input type=hidden name=ch>
<input type=hidden name=BASE>
<input type=hidden name=set value="$Q[set]">
</form></table>
EOF;
}
$disp.="</td></tr>";
$disp.=foot();
}
#----------------------------------------------------------#
?>